/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Ivanna.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class IveGotABoneToPick : BaseQuest
	{				
		public override object Title{ get{ return "I've Got A Bone To Pick"; } }
		
		public override object Description{ get{ return "Hello there. I am Ivanna, Lars' wife. When my husband was an apprentice reaper to the dread Malevolent, he spoke of the foul beasts she conjured up with her reaper magic.<br><br>The bone hound is an abomination. They are brought into this world from the very depths of the underworld. The mere sight of them is a thing of nightmares.<br><br>Go out and slay these creatures, for they do not belong in this world."; } }
		
		public override object Refuse{ get{ return "Such a dire task. Your refusal is expected."; } }
		
		public override object Uncomplete{ get{ return "The bone hounds lurk in the Boneyard. This is Malevolent's lair so be very careful. You will need the key from my husband Lars before you can travel there"; } }
		
		public override object Complete{ get{ return "You have done the world a great favor. Take this as a reward. We do not have much but I hope you accept this as a token of my gratitude."; } }
	
		public IveGotABoneToPick() : base()
		{			
			AddObjective( new SlayObjective( typeof( BoneHound ), "Bone Hound", 5 ) );
			
			
			AddReward( new BaseReward( typeof( CandyBagH ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Ivanna : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( IveGotABoneToPick )
			};} 
		}
		
		[Constructable]
		public Ivanna() : base( "Ivanna", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Ivanna( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = true;
			Race=Race.Elf;
			Body = 606;
		}
		
		public override void InitOutfit()
		{
			AddItem( new FemaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}